Subject: Re: bug#71656: secondary selection and mouse-drag-secondary-pasting is broken in 29.3 under wayland

From: Po Lu <[email-masked]>
Date: Fri, 21 Jun 2024 09:34:35 +0800

John Heidemann <[email-masked]> writes:

> Perhaps analogous code needs to go in to implementing that downstream
> code (such as mouse.el and mouse-copy.el) would continue to work?
>
>    -John

Patches welcome, as ever.  One difficulty I anticipate is that some GDK
backends and Wayland compositors do support SECONDARY, while one Emacs
session is capable of being connected to multiple displays providing
different repertories of selections, and even potentially implemented by
multiple GDK backends.  Another is that the existence of support for a
selection cannot be ascertained until an attempt is made to acquire
ownership of it.